CEL: Crystal Entity Layer: iCelEntityTemplate Struct Reference (CEL: Crystal Entity Layer Public API Reference)

| ## Public API Reference

- Main Page
- Classes
- Files

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# iCelEntityTemplate Struct Reference

This is an entity template. More...

`#include <physicallayer/entitytpl.h>`

List of all members.

## Public Member Functions
virtual iCelPropertyClassTemplate * | CreatePropertyClassTemplate ()=0
| Create a new property class template for this entity.
virtual const char * | GetName () const =0
| Get the name of this template.
virtual iObject * | QueryObject ()=0
| Get the iObject for this entity template.
virtual void | SetBehaviour (const char *layer, const char *behaviour)=0
| Set the behaviour associated with this template.
virtual void | SetName (const char *n)=0
| Set the name of this template.

## Detailed Description

This is an entity template.

It can be used to create other entities.

Definition at line 42 of file entitytpl.h.

## Member Function Documentation

virtual iCelPropertyClassTemplate* iCelEntityTemplate::CreatePropertyClassTemplate | ( |  | ) | `[pure virtual]`

| Create a new property class template for this entity.

virtual const char* iCelEntityTemplate::GetName | ( |  | ) | const`[pure virtual]`

| Get the name of this template. Returns: A pointer to the name of this template.

virtual iObject* iCelEntityTemplate::QueryObject | ( |  | ) | `[pure virtual]`

| Get the iObject for this entity template. Returns: A pointer to the iObject for this entity.

virtual void iCelEntityTemplate::SetBehaviour | ( | const char * | layer,
|  | const char * | behaviour
| ) | `[pure virtual]`

  | Set the behaviour associated with this template. Parameters:
  | layer | is the name of the behaviour layer (optional, can be 0 for default).
  | behaviour | is the name of the behaviour.

virtual void iCelEntityTemplate::SetName | ( | const char * | n | ) | `[pure virtual]`

  | Set the name of this template. Parameters:
  | n | A pointer to the name to set for this template.

The documentation for this struct was generated from the following file:

- physicallayer/entitytpl.h